package Top;

import rca :: *;

(* synthesize *)
module mkTop (Empty);

   Reg #(Bit #(8)) rg_ab <- mkReg (0);

   rule rl1;
      Bit #(4) a = rg_ab [3:0];
      Bit #(4) b = rg_ab [7:4];

      Bit #(5) z = rca (a, b, 0);
      $display ("%0d + %0d = %0d" , a, b, z);

      if (rg_ab == 'hFF)
	 $finish (0);
      else
	 rg_ab <= rg_ab + 1;
   endrule

endmodule

// ================================================================

endpackage
